Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.federation
Interface FederatingPortletInvoker

All Superinterfaces:
  PortletInvoker

All Known Implementing Classes:
  FederatingPortletInvokerService

    public interface FederatingPortletInvoker

extends PortletInvoker

A portlet invoker that federates other invokers.

Since:
  2.4
Version:
  $Revision: 5687 $
Author:
  Julien Viet

Method Summary
`FederatedPortletInvoker` | `getFederatedInvoker(java.lang.String federatedId)` Return a portlet invoker registered or null if not found
`java.util.Collection<FederatedPortletInvoker>` | `getFederatedInvokers()` Return the registered portlet invokers.
`FederatedPortletInvoker` | `registerInvoker(java.lang.String federatedId, PortletInvoker registeredInvoker)` Registers an invoker.
`void` | `unregisterInvoker(java.lang.String federatedId)` Unregisters the invoker associated with the specified identifier.

Methods inherited from interface org.jboss.portal.portlet.PortletInvoker
`createClone, destroyClones, getPortlet, getPortlets, getProperties, getProperties, invoke, setProperties`

Method Detail

### registerInvoker

    FederatedPortletInvoker registerInvoker(java.lang.String federatedId,
                                            PortletInvoker registeredInvoker)
                                            throws java.lang.IllegalArgumentException

  Registers an invoker.

  Parameters:
    `federatedId` - the invoker id to register
    `registeredInvoker` - the invoker to register
  Throws:
    `java.lang.IllegalArgumentException` - if the invoker is null or already registered

### getFederatedInvoker

    FederatedPortletInvoker getFederatedInvoker(java.lang.String federatedId)
                                                throws java.lang.IllegalArgumentException

  Return a portlet invoker registered or null if not found

  Parameters:
    `federatedId` - the id
  Returns:
    the invoker
  Throws:
    `java.lang.IllegalArgumentException` - if the id is null

### getFederatedInvokers

    java.util.Collection<FederatedPortletInvoker> getFederatedInvokers()

  Return the registered portlet invokers.

  Returns:
    a collection that contains the portlet invokers

### unregisterInvoker

    void unregisterInvoker(java.lang.String federatedId)

  Unregisters the invoker associated with the specified identifier.

  Parameters:
    `federatedId` - the identifier of the invoker to unregister
  Throws:
    `java.lang.IllegalArgumentException` - if the identifier is null or no invoker is registered with this identifier
  Since:
    2.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.